Subject: Re: [PATCH 2/1] gitweb: Use fixed string for "next" link in commitdiff view

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Oct 2006 10:17:28 -0700

Petr Baudis <[email-masked]> writes:

>> > Would it even be necessary to use any SHA-1 name in these cases,
>> > I wonder.  Would it make the page less useful if we replace all
>> > of the above _commit_ with a fixed string, say, "parent"?
>
> I really disagree here - what's the point of not using SHA-1? The extra
> string carries zero information in comparison with the previous state
> and I just can't see how it *improves* stuff. If you're walking in a
> maze and making marks on walls, it's still more useful if you have
> corridors named by "A", "B", "C", "D" on junctions if you sometimes want
> to walk back to the marked corridors.

I think people would recognize A B C D as names but not 40- or
8- hexadecimal letters.

I do not care much either way, actually, but I think it might
make more sense to use abbreviated object names.  On the other
hand it may be Ok to have full 40 letters depending on the
layout (e.g. the set of merge parents are shown on a single line
in which case it would not fit, etc.).